<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_140"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="12dp"
        android:background="@drawable/icon_income_top_bg">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:includeFontPadding="false"
            android:text="收益金额(元)"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toLeftOf="@+id/tv_balance"
            app:layout_constraintTop_toBottomOf="@+id/tv_balance" />


        <TextView
            android:id="@+id/tv_balance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="18dp"
            android:layout_marginTop="14dp"
            android:includeFontPadding="false"
            android:text="1,230.00"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_26"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_withdrawal"
            android:layout_width="@dimen/dp_80"
            android:layout_height="@dimen/dp_32"
            android:layout_marginTop="26dp"
            android:layout_marginRight="26dp"
            android:background="@drawable/bg_white_border"
            android:gravity="center"
            android:text="结算"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_bottom_bg"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:background="@drawable/shape_bottom_10dp_0f000000"
            app:layout_constraintBottom_toBottomOf="parent" />

        <View
            android:id="@+id/view_frozen_amount"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom_bg"
            app:layout_constraintLeft_toLeftOf="@+id/view_bottom_bg"
            app:layout_constraintRight_toLeftOf="@+id/view_bottom_center_line"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />

        <View
            android:id="@+id/view_pending_amount"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom_bg"
            app:layout_constraintLeft_toRightOf="@+id/view_frozen_amount"
            app:layout_constraintRight_toRightOf="@+id/view_bottom_bg"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />

        <TextView
            android:id="@+id/tv_freeze_amount_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:text="冻结金额"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />

        <TextView
            android:id="@+id/tv_freeze_amount_value"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:paddingStart="5dp"
            android:text="0"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/tv_freeze_amount_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_freeze_amount_title"
            app:layout_constraintRight_toLeftOf="@+id/view_bottom_center_line"
            app:layout_constraintTop_toTopOf="@+id/tv_freeze_amount_title"
            tools:text="290.0" />

        <View
            android:id="@+id/view_bottom_center_line"
            android:layout_width="1dp"
            android:layout_height="16dp"
            android:background="@color/white"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />


        <TextView
            android:id="@+id/tv_pending_amount_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:text="待入账金额"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom_bg"
            app:layout_constraintLeft_toRightOf="@+id/view_bottom_center_line"
            app:layout_constraintTop_toTopOf="@+id/view_bottom_bg" />

        <TextView
            android:id="@+id/tv_pending_amount_value"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:paddingStart="5dp"
            android:text="0"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/tv_pending_amount_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_pending_amount_title"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_pending_amount_title"
            tools:text="290.0" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="14dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:drawablePadding="5dp"
            android:gravity="center"
            android:text="2021年9月"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_income_type"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="145dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:gravity="center"
            android:text="全部收入"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14" />
    </RelativeLayout>


    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">



        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>